@import './_variables.scss';

:root {
  height: 100%;
}

body {
  height: 100%;
  margin: 0;
}

.container {
  display: grid;
  min-height: 100%;
}

.menu {
  grid-area: menu;
  background-color: $menu-background-color;
  display: flex;
}

.primary-content {
  grid-area: primary;
  background-color: $primary-content-background-color;
  height: 100%;
}

.secondary-content {
  grid-area: secondary;
  background-color: $secondary-content-background-color;
  height: 100%;
}

@mixin menu_style {
  .menu {
    flex-direction: column;
    justify-content: space-around;
    div {
      margin-left: 0.5em;
    }
  }  
}

@media screen and (min-width: 73.5rem) {
  // extra large
  .container {
    grid-template-columns: 1fr 3fr;
    margin-left: 10%;
    margin-right: 10%;
    grid-template-areas:
      "menu primary"
      "menu secondary";
  }

  @include menu_style();
}

@media screen and (max-width: 73.43rem) and (min-width: 54.2rem) {
  // large
  .container {
    grid-template-columns: 1fr 3fr;
    margin-left: 5%;
    margin-right: 5%;
    grid-auto-flow: column;
    grid-template-areas:
    "menu primary"
    "menu secondary";
  }

  @include menu_style();
}

@media screen and (max-width: 54.1rem) and (min-width: 29.8rem) {
  // medium
  .container {
    grid-template-rows: 1fr 3fr 3fr;
    grid-template-areas:
      "menu"
      "primary"
      "secondary";
  }

  @include menu_style();

  .menu {
    align-items: center;
    min-height: 20%;
  }
}

@media screen and (max-width: 29.7rem) {
  // small
  .container {
    grid-template-rows: 0.1fr 3fr 3fr;
    grid-template-areas:
    "menu"
    "primary"
    "secondary";
  }

  .menu {
    flex-direction: row;
    justify-content: space-between;
    padding: 0em 0.5em;
  }
}
